Package org.eclipse.debug.ui.memory

## Interface IMemoryRenderingSite2

All Superinterfaces:
  `IMemoryRenderingSite`

    public interface IMemoryRenderingSite2
    extends IMemoryRenderingSite

Extension to memory site that allows a client to request a rendering container to become visible.

Since:
  3.8

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setContainerVisible​(String id, boolean visible)` Sets whether the identified container should be visible.

### Methods inherited from interface org.eclipse.debug.ui.memory.IMemoryRenderingSite

`getContainer, getMemoryRenderingContainers, getSite, getSynchronizationService`

### Method Detail

#### setContainerVisible

    void setContainerVisible​(String id,
                             boolean visible)

Sets whether the identified container should be visible.

Parameters:
  `id` - identifier of the container to be affected
  `visible` - whether the given container should be made visible